use criterion::{criterion_group, criterion_main, Criterion};
use fenir::database::find_cwe_by_id;
use std::hint::black_box;

#[doc = "Find cwe by id"]
fn bench_ind_cwe_by_id(criterion: &mut Criterion) {
    let mut group = criterion.benchmark_group("cwe");
    group.bench_function("find_cwe_by_id", |b| {
        b.iter(|| {
            let _ = find_cwe_by_id(black_box(30));
        })
    });
}

criterion_group!(benches, bench_ind_cwe_by_id);
criterion_main!(benches);
